# PetscErrorSetCatchable

Sets if a PetscErrorCode can be caught with a PetscExceptionTry1() PetscExceptionCaught() pair, or PetscExceptionPush(). By default all errors are catchable.

### Synopsis

    #include "petsc.h"
    PetscErrorCode PETSC_DLLEXPORT PetscErrorSetCatchable(PetscErrorCode err,PetscTruth flg)

### Input Parameters

| err | - error code
| flg | - PETSC_TRUE means allow to be caught, PETSC_FALSE means do not allow to be caught

### Notes

PETSc must not be configured using the option --with-errorchecking=0 for this to work

### See Also

PetscExceptionTry1(), PetscExceptionCaught(), PetscExceptionPush(), PetscExceptionPop(), PetscErrorIsCatchable()

Level:advanced
Location: src/sys/error/err.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages